
Lookup Editor - Bug #2805

Import doesn't import everything

06/30/2020 07:25 PM - Luke Murphey

Status: Closed Start date: 06/30/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.4.5   

Description

See https://github.com/LukeMurphey/lookup-editor/issues/52

History

#1 - 07/13/2020 06:07 PM - Luke Murphey

Qs:

What is a minimal repro?

1. Remove columns until there are fewer column than the import file

2. Import the file: note that the columns off of the edge are not created

Is column data stored somewhere?

https://bossanova.uk/jexcel/v3/docs/programmatically-changes

Can I add the columns first?

No, they don't get added

How is field_types setup?

Are there options that I could remove that would make this work?

Obs:

It appears that jexcel is not increasing the number of columns

The columns have to exist when the lookup is loaded in order to get them imported

setConfig() used to exist on older versions

https://bossanova.uk/jexcel/v2/docs/quick-reference

https://github.com/paulhodel/jexcel/issues/806

I'm not getting the error on destroy but on the creation of jexcel

https://github.com/paulhodel/jexcel/issues/796

Solns:

Can I just recreate the jexcel editor on import?

I keep getting an error

Destroy and recreate the jexcel editor

jexcel.destroy(this.$el

0

, true);

$(this.$el

0

).jexcel("destroy", true);

Works but error happens afterwards when recreating

this.jexcel.destroy();

function doesn't exist

[Nope] Add/remove the columns and then import the data

[Nope] Just call setData()?

https://github.com/paulhodel/jexcel/issues/498

That is what I was doing, definitely doesn't work

Needs the column data added

[Nope] Set columns

don't see anywhere this is possible

use csvHeaders:true
#2 - 07/14/2020 11:05 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
